'use strict';


module.exports = app => {
  const { router, controller } = app;
  const prefix = 'admin';
  router.post(prefix, `/${prefix}/login`, controller[prefix].login);
  router.post(prefix, `/${prefix}/password/:id`, controller[prefix].password);
  router.resources(prefix, `/${prefix}`, controller[prefix]); // index、create、show、destroy
  router.post(prefix, `/${prefix}/update/:id`, controller[prefix].update);
};
